<template>
  <div>

    <b-form-group  v-slot="{ ariaDescribedby }">

      <h3>Usuarios:</h3>
      <b-form inline
        id="checkbox-group-user-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[0].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[1].selected"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[2].selected"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[3].selected"> Eliminar</b-form-checkbox>
      </b-form>
      
      <br>
      <h3>Clientes:</h3>
      <b-form inline
        id="checkbox-group-clients-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[4].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[5].selected"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[6].selected"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[7].selected"> Eliminar</b-form-checkbox>
      </b-form>

      <br>
      <h3>Roles:</h3>
      <b-form inline
        id="checkbox-group-roles-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[8].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[9].selected"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[10].selected"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[11].selected"> Eliminar</b-form-checkbox>
      </b-form>


      <br>
      <h3>Proyectos:</h3>
      <b-form 
        inline
  
        id="checkbox-group-projects-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[12].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[13].selected"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[14].selected"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[15].selected"> Eliminar </b-form-checkbox>
      </b-form>
      <br>
      <h3>Actividades de proyectos:</h3>
      <b-form 
        inline
  
        id="checkbox-group-project-activities-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[16].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[17].selected"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[18].selected"> Ver detalles</b-form-checkbox>     
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[19].selected"> Eliminar </b-form-checkbox>
        
      </b-form>

      

      <br>
      <h3>Facturas:</h3>
      <b-form inline
        id="checkbox-group-invoices-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[20].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[21].selected"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[22].selected"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[23].selected"> Eliminar </b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[24].selected"> Validar </b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[25].selected"> Enviar </b-form-checkbox>
      </b-form>

      <br>
      <h3>Asistencia:</h3>
      <b-form inline
        id="checkbox-group-projects-attendance-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[26].selected"> Ver historial de los usuarios</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[27].selected"> Editar historial de los usuarios</b-form-checkbox>
        
      </b-form>

      <br>
      <h3>Configuración:</h3>
      <b-form inline
        id="checkbox-group-projects-config-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[28].selected"> Configurar horario laboral</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[29].selected"> Configurar impuestos de facturacion</b-form-checkbox>
        
      </b-form>

      <br>
      <h3>Dashboard:</h3>
      <b-form inline
        id="checkbox-group-projects-dashboard-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" disabled v-model="permissions[30].selected"> Ver dashboard administrativo</b-form-checkbox>
       
        
      </b-form>

    </b-form-group>



    


  </div>
</template>

<script>
import {
  BTable,BFormCheckbox,BFormGroup,BFormCheckboxGroup,BForm,
} from 'bootstrap-vue'


export default {
  components: {

    BTable,
    BFormCheckbox,
    BFormGroup,
    BForm,
    BFormCheckboxGroup,
    
 
 
  },
  name:'permissions-table-view',
    props:{
        permissions:{
            type: Array,
            default: () => [],
        },
      
    },
    
   
    
  


}
</script>

<style>

</style>
